# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields


class CgscopIncubFinancement_projet(models.Model):
    _name = 'cgscop_incub.financement_projet'
    _description = "Financements du projet d'incubation"

    partner_id = fields.Many2one(
        comodel_name='res.partner',
        string='Organisme',
        domain=[('is_company', '=', True)],
        ondelete='restrict', index=True)
    financement_id = fields.Many2one(
        comodel_name='cgscop_incub.financement',
        string="Financement",
        ondelete='restrict',
        required=True,
        index=True)
    supplier = fields.Char(string="Nom de l'organisme",)
    montant_dmd = fields.Float("Montant demandé",)
    montant_recu = fields.Float(string="Montant recu", required=True)

