from odoo import models, fields, api

class cgscop_incub_parcours_preincub(models.Model):
    _name = 'cgscop_incub.parcours_preincub'
    _description = "Type de parcours pré-incubation"
    _order = 'ur_id,sequence,id'
    _rec_name = 'name'    

    def _default_ur(self):
        return self.env['res.company']._ur_default_get()   

    ur_id = fields.Many2one(
        'union.regionale',
        string='Union Régionale',
        index=True,
        on_delete='restrict',
        default=_default_ur)
    sequence = fields.Integer(
         string='Sequence')      
    name = fields.Char(
         string='Nom', 
         required=True,
         index=True)      
    active = fields.Boolean(
        string='Actif',
        default=True)

   